Rotate signing secret
Generate a new signing secret for an endpoint. The new secret is returned once.
POST
/applications/{appId}/endpoints/{id}/rotate-secret
Generate a new signing secret for an endpoint. The new secret is returned once.
Authentication
API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)
Path Parameters
appId
string
required
path
Application ID
id
string
required
path
Resource ID
Responses
200
New signing secret
application/jsonsigning_secret
string
REQUIRED
New signing secret
401
Unauthorized
404
Endpoint not found
curl -X POST 'https://hookstream.io/v1/applications/string/endpoints/string/rotate-secret' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://hookstream.io/v1/applications/string/endpoints/string/rotate-secret', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://hookstream.io/v1/applications/string/endpoints/string/rotate-secret', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("POST", "https://hookstream.io/v1/applications/string/endpoints/string/rotate-secret", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "signing_secret": "<string>"}
API Playground
Try this endpoint
POST
/applications/{appId}/endpoints/{id}/rotate-secret